Oracle9i Application Server Overview Guide Release 1.0.2 Part Number A87353-01 |
Library | Service | Contents | Index

#
Preface

This book introduces the features and functionality of Oracle9i Application Server. It describes the services that are available to develop, deploy, and manage all of your content and applications on company Web sites and intranets.

This preface contains these topics:

- Audience

- Organization

- Related Documentation

- Conventions

## Audience

Oracle9i Application Server Overview Guide is intended for a general audience who perform the following tasks:

- manage information technology (IT) departments

- administer company Web sites and intranets

- develop transactional Web applications

To use this document, you need general knowledge of application servers, Web servers, and database-driven Web sites. It also assumes that readers are familiar with the technologies and programming languages used in middle-tier environments.

## Organization

This document contains:

Chapter 1, "Introduction"

Provides an introduction to Oracle9i Application Server, explaining how it supports your e-business. This chapter includes an architectural overview, a description of how you can use this product, and a list of the major technologies and programming languages it supports.

Chapter 2, "Oracle9i Application Server Services"

Gives an overview of each service contained in Oracle9i Application Server and lists additional information sources for each service.

Chapter 3, "Developing Applications for Oracle9i Application Server"

Demonstrates how you can use Oracle9i Application Server to build your applications.

## Related Documentation

For more information, see the following documentation in the Oracle9i Application Server Release 1.0.2 documentation set:

The following documentation is included on your product CD-ROM:

- Oracle9i Application Server Installation Guide

- Migrating from Oracle Internet Application Server 1.0.1

- Oracle HTTP Server Performance Guide

- Oracle9i Application Server Release Notes

##### Oracle9i Application Server Documentation Library

The following documentation is included in the Oracle9i Application Server Documentation Library. All documents are provided in HTML and most are also provided in Adobe Portable Document Format (PDF).

- Oracle9i Application Server Quick Tour

- Migrating from Oracle Application Server

##### Communication Services

- Apache 1.3.12 User's Guide

- Apache JServ Documentation

- Apache mod_perl Documentation

- mod_ssl Documentation

- OpenSSL Documentation

- Using the PL/SQL Gateway

- Oracle8i Oracle Servlet Engine User's Guide (includes mod_ose)

- Oracle Plug-in for Microsoft IIS Configuration and User's Guide

##### Content Management Services

##### Oracle Internet File System

- Quick Tour

- Setup and Administration Guide

- User's Guide

- Developer's Guide

- Class Reference

- Java Reference API

- XML Reference

##### Business Logic Services

##### Oracle Business Components for Java (Business Components for Java)

- Developing Business Components

- Tutorial - Building Business Components for Java

- Reference API

##### Oracle8i JVM

- Oracle8i CORBA Developer's Guide and Reference

- Oracle8i Enterprise JavaBeans Developer's Guide and Reference

- Oracle8i Java Developer's Guide

- Oracle8i Java Stored Procedures Developer's Guide

- Oracle8i Java Tools Reference

- Oracle8i JDBC Developer's Guide and Reference

- Oracle8i JPublisher User's Guide

- Oracle8i Oracle Servlet Engine User's Guide

- Oracle8i JavaServer Pages Developer's Guide and Reference

- Oracle8i SQLJ Developer's Guide and Reference

- Oracle8i Supplied Java Packages Reference

##### Oracle Forms Services

- Forms Developer Quick Tour

- Deploying Forms Applications to the Web

- Form Builder Reference Manual

- Guidelines for Building Applications

- Graphics Builder Reference Manual

- Procedure Builder Reference Manual

- Common Built-in Packages

##### Presentation Services

##### Apache JServ

- Apache JServ Documentation

##### OracleJSP

- Developer's Guide and Reference

- Developer's Toolkit

##### Developer's Kits

##### Oracle XML Developer's Kit

- Oracle8i Application Developer's Guide - XML

- Oracle8i XML Reference Guide

##### Oracle Database Client Developer's Kits

- Oracle8i SQLJ Developer's Guide and Reference

- Oracle8i JDBC Developer's Guide and Reference

##### Oracle LDAP Developer's Kit

- Oracle Internet Directory Application Developer's Guide

##### Portal Services

##### Oracle Portal

- Quick Tour

- Tutorial

- Configuration Guide

- Building Advanced Portals

- Oracle Single Signon Application Developer's Guide

##### Oracle Portal-to-Go

- Configuration Guide

- Implementation Guide

##### Caching Services

##### Oracle Web Cache

This documentation is available at

    http://otn.oracle.com/products/ias

##### Oracle Database Cache

- Quick Tour

- Concepts and Administration Guide

##### System Services

##### Oracle Enterprise Manager

- Enterprise Manager Console Quick Tour

- Standard Management Pack Quick Tour

- Concepts Guide

- Configuration Guide

- Administrator's Guide

- Messages Manual

- Oracle Intelligent Agent User's Guide

- Oracle SNMP Support Reference Guide

##### Business Intelligence Services

##### Oracle Discoverer 3i

- Discoverer 3i Viewer Configuration Guide

##### Oracle Reports Services

- Reports Developer Quick Tour

- Publishing Reports to the Web

- Building Reports

- Reports Developer Reference Manual

- Guidelines for Building Applications

- Graphics Builder Reference Manual

- Procedure Builder Reference Manual

- Common Built-in Packages

In North America, printed documentation is available for sale in the Oracle Store at

    http://oraclestore.oracle.com/

Customers in Europe, the Middle East, and Africa (EMEA) can purchase documentation from

    http://www.oraclebookshop.com/

Other customers can contact their Oracle representative to purchase printed documentation.

To download free release notes, installation documentation, white papers, or other collateral, please visit the Oracle Technology Network (OTN). You must register online before using OTN; registration is free and can be done at

    http://technet.oracle.com/membership/index.htm

If you already have a username and password for OTN, then you can go directly to the documentation section of the OTN Web site at

    http://technet.oracle.com/docs/index.htm

## Conventions

This section describes the conventions used in the text and code examples of the this documentation set. It describes:

- Conventions in Text

- Conventions in Code Examples

#### Conventions in Text

We use various conventions in text to help you more quickly identify special terms. The following table describes those conventions and provides examples of their use.

Convention | Meaning | Example
--- | --- | ---
Bold | Bold typeface indicates terms that are defined in the text or terms that appear in a glossary, or both. | The C datatypes such as ub4, sword, or OCINumber are valid. When you specify this clause, you create an index-organized table.
Italics | Italic typeface indicates book titles, emphasis, syntax clauses, or placeholders. | Oracle8i Concepts You can specify the parallel_clause. Run `U` `old_release``.SQL` where old_release refers to the release you installed prior to upgrading.
UPPERCASE monospace (fixed-width font) | Uppercase monospace typeface indicates elements supplied by the system. Such elements include parameters, privileges, datatypes, RMAN keywords, SQL keywords, SQL*Plus or utility commands, packages and methods, as well as system-supplied column names, database objects and structures, user names, and roles. | You can specify this clause only for a `NUMBER` column. You can back up the database using the `BACKUP` command. Query the `TABLE_NAME` column in the `USER_TABLES` data dictionary view. Specify the `ROLLBACK_SEGMENTS` parameter. Use the `DBMS_STATS`.`GENERATE_STATS` procedure.
lowercase monospace (fixed-width font) | Lowercase monospace typeface indicates executables and sample user-supplied elements. Such elements include computer and database names, net service names, and connect identifiers, as well as user-supplied database objects and structures, column names, packages and classes, user names and roles, program units, and parameter values. | Enter `sqlplus` to open SQL*Plus. The `department_id`, `department_name`, and `location_id` columns are in the `hr.departments` table. Set the `QUERY_REWRITE_ENABLED` initialization parameter to `true.` Connect as `oe` user.

#### Conventions in Code Examples

Code examples illustrate SQL, PL/SQL, SQL*Plus, or other command-line statements. They are displayed in a monospace (fixed-width) font and separated from normal text as shown in this example:

    SELECT username FROM dba_users WHERE username = 'MIGRATE';

The following table describes typographic conventions used in code examples and provides examples of their use.

Convention | Meaning | Example
--- | --- | ---
[ ] | Brackets enclose one or more optional items. Do not enter the brackets. | `DECIMAL (digits [ , precision ])`
{ } | Braces enclose two or more items, one of which is required. Do not enter the braces. | `{ENABLE | DISABLE}`
| | A vertical bar represents a choice of two or more options within brackets or braces. Enter one of the options. Do not enter the vertical bar. | `{ENABLE | DISABLE}` `[COMPRESS | NOCOMPRESS]`
`...` | Horizontal ellipsis points indicate either: That we have omitted parts of the code that are not directly related to the example That you can repeat a portion of the code | `` `CREATE TABLE ... AS subquery;` `SELECT col1, col2, ... , col` `n` `FROM employees;`
. . .`` | Vertical ellipsis points indicate that we have omitted several lines of code not directly related to the example. | ``
Other notation | You must enter symbols other than brackets, braces, vertical bars, and ellipsis points as it is shown. | `acctbal NUMBER(11,2);` `acct CONSTANT NUMBER(4) := 3;`
`Italics``` | Italicized text indicates variables for which you must supply particular values. | `CONNECT SYSTEM/``system_password`
`UPPERCASE` | Uppercase typeface indicates elements supplied by the system. We show these terms in uppercase in order to distinguish them from terms you define. Unless terms appear in brackets, enter them in the order and with the spelling shown. However, because these terms are not case sensitive, you can enter them in lowercase. | `SELECT last_name, employee_id FROM employees;` `SELECT * FROM USER_TABLES;` `DROP TABLE hr.employees;`
`lowercase` | Lowercase typeface indicates programmatic elements that you supply. For example, lowercase indicates names of tables, columns, or files. | `SELECT last_name, employee_id FROM employees;` `sqlplus hr/hr`

| Copyright © 2000 Oracle Corporation. All Rights Reserved. |
Library | Service | Contents | Index